Vulnerability Name:

CVE-2018-0737

Assigned:2017-11-30
Published:2018-04-16
Updated:2018-04-20
Summary:The OpenSSL RSA Key generation algorithm has been shown to be vulnerable to a cache timing side channel attack. An attacker with sufficient access to mount cache timing attacks during the RSA key generation process could recover the private key. Fixed in OpenSSL 1.1.0i-dev (Affected 1.1.0-1.1.0h). Fixed in OpenSSL 1.0.2p-dev (Affected 1.0.2b-1.0.2o).
CVSS v3 Severity:3.3 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N)
2.9 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:1.7 Low (CCN CVSS v2 Vector: AV:L/AC:L/Au:S/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
References:Source: BID
Type: UNKNOWN
103766

Source: SECTRACK
Type: UNKNOWN
1040685

Source: XF
Type: UNKNOWN
openssl-cve20180737-info-disc(141679)

Source: CONFIRM
Type: UNKNOWN
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=349a41da1ad88ad87825414752a8ff5fdd6a6c3f

Source: CONFIRM
Type: UNKNOWN
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=6939eab03a6e23d2bd2c3f5e34fe1d48e542e787

Source: UBUNTU
Type: UNKNOWN
USN-3628-1

Source: UBUNTU
Type: UNKNOWN
USN-3628-2

Source: CONFIRM
Type: UNKNOWN
https://www.openssl.org/news/secadv/20180416.txt

Vulnerable Configuration:
Configuration CCN 1:
  • cpe:/a:openssl:openssl:1.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:openssl:openssl:1.1.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.artful:def:20180737000
    V
    CVE-2018-0737 on Ubuntu 17.10 (artful) - low.
    2018-04-16
    oval:com.ubuntu.trusty:def:20180737000
    V
    CVE-2018-0737 on Ubuntu 14.04 LTS (trusty) - low.
    2018-04-16
    oval:com.ubuntu.xenial:def:20180737000
    V
    CVE-2018-0737 on Ubuntu 16.04 LTS (xenial) - low.
    2018-04-16
    BACK
    openssl openssl 1.0.2
    openssl openssl 1.1.0